> # NAME

> cgD3D10TypeToSize - get the size of a CGtype enumerated type

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       DWORD cgD3D10TypeToSize( CGtype type );

> # PARAMETERS

> type

>   Member of the CGtype enumerated type whose size is to be returned.

> # RETURN VALUES

> Returns the size of type in terms of consecutive floating point values.

> Returns 0 if the type does not have an inherent size. Sampler types fall into this category.

> # DESCRIPTION

> cgD3D10TypeToSize retrieves the size of a CGtype enumerated type in terms of consecutive floating point values.

> If the type does not have an inherent size, the return value is 0. Sampler types fall into this category.

> # EXAMPLES

>       // param is a CGparameter initialized earlier
>       ...
>       DWORD size = cgD3D10TypeToSize(cgGetParameterType(param));

>       // (sanity check that parameters have the expected size)
>       ...
>       assert(cgD3D10TypeToSize(cgGetParameterType(vsModelView)) == 16);
>       assert(cgD3D10TypeToSize(cgGetParameterType(psColor)) == 4);

> # ERRORS

> None.

> # HISTORY

> cgD3D10TypeToSize was introduced in Cg 2.1.

> # SEE ALSO

> cgD3D10SetDevice